<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: notepad.post.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: вывод блокнота пользователя
=====================================================
*/

if( !defined( "DATALIFEENGINE" ) ) die( "Hacking attempt!" );

$Folder = "default";
if( $is_logged )
	{
		// Сколько выводить новостей на одну страницу
		$OnPage = $Board->Config['view_cat_on_page'] > 0 ? intval( $Board->Config['view_cat_on_page'] ) : 1;
		
		//	Настройка метатитлов
		$module['title'][] = "Мой блокнот";
		$module['speedbar'][] = "Мой блокнот";
		
		// Настройка поиска
		$PageLink = "/board/notepad/page/{page}";
		$NoNewsError = "Вы ничего не добавляли в свой блокнот.";
		$SearchInfo = true;
		$author_id = intval( $member_id['user_id'] );
		
		$NotepadSQL = "";
		if( $member_id['board_notepad'] )
			{
				$NotepadID = explode( ",", $member_id['board_notepad'] );
				foreach( $NotepadID as $key => $value )
					{
						$value = intval( $value );
						if( $value )
							$NotepadID[ $key ] = $value;
						else
							unset( $NotepadID[ $key ] );
					}
				
				if( count( $NotepadID ) > 0 )
					{
						$NotepadID = implode( ",", $NotepadID );
						$NotepadSQL = "`id` IN ({$NotepadID})";
					}
			}
		
		if( $NotepadSQL )
			{
				//--------------------------------------------------=-=-=-=-=
				//	Генерация объявлений пользователя
				//--------------------------------------------------=-=-=-=-=
				
				$NewsList = array(
						
					"template"		=> "board/{$Folder}/board.short.tpl",
					"template_nav"	=> "board/{$Folder}/navigation.tpl",
					"template_info"	=> "board/{$Folder}/info.tpl",
					"tpl_compile"	=> "board_content",
					"cashe_folder"	=> "",
					"cashe_file"	=> "",
					"cache"			=> false,
					"sql_count"		=> "SELECT COUNT(*) as count FROM ".PREFIX."_board_post WHERE {$NotepadSQL}",
					"sql_query"		=> "SELECT * FROM ".PREFIX."_board_post WHERE {$NotepadSQL} ORDER BY date DESC {limit}",
					"num"			=> $OnPage,
					"nav"			=> $PageLink,
					"search_info"	=> $SearchInfo,
					"search_text"	=> "У вас в блокноте найдено {posts} объявлений.",
					"no_news_error" => $NoNewsError,
							
				);
				
				require( ENGINE_DIR."/modules/board/list.post.php" );
			}
				else
			{
				$tpl->Load_Template( "board/{$Folder}/info.tpl" );
				$tpl->set( "{title}", "Информация" );
				$tpl->set( "{error}", "Вы ничего не добавляли в свой блокнот." );
				$tpl->compile( "board_content" );
				$tpl->clear();
			}
				
		// Разрешаем вывод формы поиска
		$BoardLoadMainTpl = true;
		$BoardAllowSearch = false;
	}
		else
	{
		$tpl->Load_Template( "board/{$Folder}/info.tpl" );
		$tpl->set( "{title}", "Информация" );
		$tpl->set( "{error}", "Вы не авторизированы." );
		$tpl->compile( "board_content" );
		$tpl->clear();
				
		// Разрешаем вывод формы поиска
		$BoardLoadMainTpl = true;
		$BoardAllowSearch = false;
	}

?>